Building Cinnamon 1.8 on LMDE

Building Cinnamon 1.8 on LMDE

Postby Spenc3 on Tue May 28, 2013 8:09 am

Hi,

Does anyone got Cinnamon 1.8 working on LMDE? I've downloaded Cinnamon 1.8 and Muffin 1.2 off GitHub but I'm not able to get it build. Any help is appreciated :D

I'm following the steps of this guide http://community.linuxmint.com/tutorial/view/955 with the latest version off GitHub. I also got the latest

Here's what i got when i try to do dpkg-buildpackage I got the following error:
dpkg-shlibdeps: error: no dependency information found for /usr/lib/libgobject-2.0.so.0 (used by debian/muffin/usr/bin/muffin)


The make and make install works properly though.

With regards to Cinnamon, I'm getting the following error on make:
cinnamon-recorder-src.c: In function ‘cinnamon_recorder_src_init’:
cinnamon-recorder-src.c:43:3: error: ‘g_mutex_new’ is deprecated (declared at /usr/local/include/glib-2.0/glib/deprecated/gthread.h:272) [-Werror=deprecated-declarations]
cinnamon-recorder-src.c: In function ‘cinnamon_recorder_src_finalize’:
cinnamon-recorder-src.c:143:3: error: ‘g_mutex_free’ is deprecated (declared at /usr/local/include/glib-2.0/glib/deprecated/gthread.h:274) [-Werror=deprecated-declarations]


Can anyone give me a hand?

Thanks,
Spencer
Spenc3
Level 1
Level 1
 
Posts: 1
Joined: Mon May 27, 2013 3:25 pm

Linux Mint is funded by ads and donations.
 

Re: Building Cinnamon 1.8 on LMDE

Postby passerby on Tue May 28, 2013 8:25 am

I haven't tried to build it, and I don't have a solution for your errors, but I do have 1.8 installed. It's available in Romeo for LMDE.
I'm sure it doesn't beat the satisfaction of compiling it yourself, but it's an easy installation for those of us who just want it to work :D
Home PC: Xubuntu 14.04 x64, Nvidia GTX650, i7 3770K, 16GB RAM, Asus Xonar DX
Work PC: Mint 13 x64 XFCE, Nvidia GT620, i5 3470, 8GB RAM
Laptop: System76 Kudu Pro, Xubuntu 14.04 x64

My HTML5 login themes + screenshots
User avatar
passerby
Level 6
Level 6
 
Posts: 1373
Joined: Sun Dec 16, 2012 7:29 pm

Re: Building Cinnamon 1.8 on LMDE

Postby samriggs on Wed May 29, 2013 5:10 am

Yup I got it working nicely.
I just went to synapics, made romeo available by clicking the checkbox in the resources, reloaded it, did a search for cinnamon muffin and nemo and upgraded then all along with anything they needed, like girl I think it was I also installed cinnamon-screensaver, it removed gnome-screensaver, hit apply for all the upgrades and removal of gnome-screensaver in place for the cinnamon-screensaver, so it installed them all, then unchecked romeo and reloaded again (just so I have control over romeo) that part is optional for you, I like to have more control over the repos, rebooted and presto it all worked nicely for me.
I also have the new mdm installed but you will need the libc6 2.17 from unstable to get that one working.
It works nice in LMDE, I'm just waiting for the finished product to hit romeo now so I can update it to cinnamon 1.8.6 now instead. I have 1.8.2
If you go here this is pretty much all the stuff I installed through synapics to get it working: http://packages.linuxmint.com/list.php? ... bian#romeo
Sam
"Windows: the worst system for the most money, Linux: the best system for free"
Registered Linux User #545430
SolydK
User avatar
samriggs
Level 5
Level 5
 
Posts: 843
Joined: Sun Apr 24, 2011 6:09 pm
Location: Canada

Re: Building Cinnamon 1.8 on LMDE

Postby Troyka on Thu Sep 19, 2013 12:31 pm

i dont want to build it but do want to install 1.8 cinnamon on lmde, but dont know what romeo is... what is it and will it give me anything more in lmde?
Maker space in Penzance http://openshed.org

youth work resources http://www.youthworker.org
User avatar
Troyka
Level 1
Level 1
 
Posts: 13
Joined: Tue Jan 22, 2013 10:17 am

Re: Building Cinnamon 1.8 on LMDE

Postby passerby on Thu Sep 19, 2013 10:16 pm

Troyka wrote:i dont want to build it but do want to install 1.8 cinnamon on lmde, but dont know what romeo is... what is it and will it give me anything more in lmde?


Romeo is the unstable branch of LMDE's repository. You will get new packages if you enable it, but the packages therein are considered unsuitable for standard users.
Either way, you can enable it through the update manager by going to Edit > Software Sources, and in the first tab there will be a checkbox for Romeo. Check it, close Software Sources, then refresh the update window.
The directions may not be 100% the same for LMDE (I'm on a LM13 MATE machine right now), but they should be similar enough for you to successfully enable Romeo.
Home PC: Xubuntu 14.04 x64, Nvidia GTX650, i7 3770K, 16GB RAM, Asus Xonar DX
Work PC: Mint 13 x64 XFCE, Nvidia GT620, i5 3470, 8GB RAM
Laptop: System76 Kudu Pro, Xubuntu 14.04 x64

My HTML5 login themes + screenshots
User avatar
passerby
Level 6
Level 6
 
Posts: 1373
Joined: Sun Dec 16, 2012 7:29 pm


Return to Cinnamon

Who is online

Users browsing this forum: No registered users and 3 guests

cron